PTHREAD_COND_SIGNAL(3)

NAME
pthread_cond_signal - unblock a thread waiting for a condition variable

LIBRARY
libc_r

SYNOPSIS
#include <pthread.h>
int
pthread_cond_signal(pthread_cond_t *cond);

DESCRIPTION
The pthread_cond_signal() function unblocks one thread waiting for the condition variable cond.

RETURN VALUES
If successful, the pthread_cond_signal() function will return zero, otherwise an error number will be returned to indicate the error.

ERRORS
pthread_cond_signal() will fail if:

[EINVAL]
    The value specified by cond is invalid.

SEE ALSO
pthread_cond_broadcast(3), pthread_cond_destroy(3), pthread_cond_init(3), pthread_cond_timedwait(3), pthread_cond_wait(3)

STANDARDS
pthread_cond_signal() conforms to ISO/IEC 9945-1 ANSI/IEEE (“POSIX”) Std 1003.1 Second Edition 1996-07-12.